<?php
defined('C5_EXECUTE') or die("Access Denied.");
$th = Core::make('helper/text');
$c = Page::getCurrentPage();
$ih = Core::make("helper/image");
$counter = 0;
$lineBreakThree = 3;
$lineBreakTwo = 2;

?>

<div class="ccm-block-page-list-wrapper salix-blog-threecol">
  <?php if ($pageListTitle): ?>
  <div class="ccm-block-page-list-header">
    <div class="row">
      <div class="col-md-12">
        <h2><?php echo $pageListTitle?></h2>
      </div>
    </div>
  </div>
  <?php endif; ?>
  <?php if ($rssUrl): ?>
  <div class="row">
    <div class="col-md-12"> <a href="<?php echo $rssUrl ?>" target="_blank" class="ccm-block-page-list-rss-feed"><i class="fa fa-rss"></i>&nbsp;<?php echo t('Subscribe to RSS Feed')?></a> <br />
    </div>
  </div>
  <?php endif; ?>
  <div class="row salix-blog-list text-center" id="salix-blog">
    <?php foreach ($pages as $page):

		$title = $th->entities($page->getCollectionName());
		$url = $nh->getLinkToCollection($page);
		$target = ($page->getCollectionPointerExternalLink() != '' && $page->openCollectionPointerExternalLinkInNewWindow()) ? '_blank' : $page->getAttribute('nav_target');
		$target = empty($target) ? '_self' : $target;
		$thumbnail = $page->getAttribute('salix_thumbnail');
        $hoverLinkText = $title;
        $description = $page->getCollectionDescription();
        $description = $controller->truncateSummaries ? $th->wordSafeShortText($description, $controller->truncateChars) : $description;
        $description = $th->entities($description);
		$date = date('F j, Y', strtotime($page->getCollectionDatePublic()));
        if ($useButtonForLink) {
            $hoverLinkText = $buttonLinkText;
        }

	if(($counter !=0 and $counter % $lineBreakTwo === 0))
	{
		echo '<div class="clearfix visible-sm-block"></div>';
	}

	if(($counter !=0 and $counter % $lineBreakThree === 0))
		{
			echo '<div class="clearfix visible-md-block visible-lg-block"></div>';
	}
?>
    <div class="thumbnail col-xs-12 col-sm-6 col-md-4 salix-blog-listitem">
      <?php if (is_object($thumbnail)): ?>
      <div class="salix-blog-thumb-img"> <a href="<?php echo $url ?>" target="<?php echo $target ?>">
        <?php
                $img = Core::make('html/image', array($thumbnail));
                $tag = $img->getTag();
                $tag->addClass('img-responsive');
                print $tag;
                ?>
        </a> </div>
      <?php endif; ?>
      <!-- /salix-blog-thumb-img -->
      <?php if ($useButtonForLink) { ?>
      <div class="ccm-block-page-list-title"> <?php echo $title; ?> </div>
      <?php } ?>
      <h3 class="salix-blog-thumb-heading"> <a href="<?php  echo $url ?>" target="<?php  echo $target ?>">
        <?php  echo $title ?>
        </a> </h3>
      <?php if ($includeDate): ?>
      <div class="ccm-block-page-list-date">
        <p class="salix-blog-date">
          <?php
				echo t('Posted on %s', $date);
				?>
        </p>
      </div>
      <?php endif; ?>
      <?php if ($includeDescription): ?>
      <div class="ccm-block-page-list-description">
        <p class="salix-blog-description"> <?php echo $description ?></p>
        <br/>
        <a href="<?php  echo $url ?>" target="<?php  echo $target ?>" class="pull-right blog-read-more">
        <?php  echo t('Read full post'); ?>
        </a> </div>
      <?php endif; ?>
    </div>
    <?php
    	$counter = $counter + 1;
?>
    <?php endforeach; ?>
    <div class="clearfix"></div>
  </div>
  <?php if (count($pages) == 0): ?>
  <div class="ccm-block-page-list-no-pages"><?php echo $noResultsMessage?></div>
  <?php endif;?>
</div>
<?php if ($showPagination): ?>
<?php echo $pagination;?>
<?php endif; ?>
<?php if ( $c->isEditMode() && $controller->isBlockEmpty()): ?>
<div class="ccm-edit-mode-disabled-item"><?php echo t('Empty Page List Block.')?></div>
<?php endif; ?>
